ACT Premium Mobile error after iPhone update to IOS9

By Patricia Egen • October 6th, 2015

Darn phoneAre you getting this error after updating your iPhone to IOS9  “Act! Premium Mobile . Before you log on, you must change your mobile device’s browser settings and enable Javascript…”? You are not alone.  The IOS update changed some Javascript items and it requires a fix on the ACT Premium for Web side to handle this issue.  

 Here’s what you need to do. The fix requires modifying two of the source files for ACT!’s web interface, which  are noted below.  The files to be modified are:

C:\Program Files (x86)\ACT\Act for Web\APFW\Views\Account\Index.cshtml (lines 12, 14 and 15)
C:\Program Files (x86)\ACT\Act for Web\APFW\Views\Shared\_Layout.cshtml (lines 11, 31, 32, 38, and 39)

In each file, you need to remove the prefix http: from the line.

Here’s an example: 

The text <script src=”http://code.jquery.com/jquery-1.8.3.min.js”></script> needs to changed to <script src=”//code.jquery.com/jquery-1.8.3.min.js”></script>

Basically all lines that have “http:” need to have the “http:” removed. 

NOTE: This error only applies to ACT Premium for Web 17.2.  You do not get the error on 17.1 or earlier.

Comments

thanks, worked like a charm!

Worked great! Thanks for sharing!

 

Leave a Comment

« | Home | »